Bug 1697082 - kernel: auth[...]: segfault at 60 ip 00007fb88f7a289e sp 00007ffe920417f0 error 4 in libmariadb.so.3[7fb88f780000+46000]
Summary: kernel: auth[...]: segfault at 60 ip 00007fb88f7a289e sp 00007ffe920417f0 err...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-07 12:41 UTC by customercare
Modified: 2019-05-28 23:54 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-05-28 23:54:50 UTC


Attachments (Terms of Use)

Description customercare 2019-04-07 12:41:52 UTC
Description of problem:

As is started mariadb via systemctl start mariadb i found this in the logs:

Apr  7 14:27:39 kernel: auth[2439]: segfault at 60 ip 00007fb88f7a289e sp 00007ffe920417f0 error 4 in libmariadb.so.3[7fb88f780000+46000]

The service started normally afaics.

Version-Release number of selected component (if applicable):

mariadb-common-10.2.22-1.fc28.x86_64
mariadb-cracklib-password-check-10.2.22-1.fc28.x86_64
mariadb-server-utils-10.2.22-1.fc28.x86_64
mariadb-gssapi-server-10.2.22-1.fc28.x86_64
mariadb-config-10.2.22-1.fc28.x86_64
mariadb-errmsg-10.2.22-1.fc28.x86_64
mariadb-connector-c-3.0.9-2.fc28.x86_64
mariadb-tokudb-engine-10.2.22-1.fc28.x86_64
mariadb-backup-10.2.22-1.fc28.x86_64
mariadb-rocksdb-engine-10.2.22-1.fc28.x86_64
mariadb-10.2.22-1.fc28.x86_64
mariadb-server-10.2.22-1.fc28.x86_64

Comment 1 Michal Schorm 2019-04-07 14:32:51 UTC
Hello,
I'll need more infromation about the issue.

--

1) I assume you have standard, up-to-date, F28 installation.
  You haven't done any kernel changes (recompilation) or modified the kernel flags.
  If you did, please list them here. You can find the running kernel parameters in "/proc/cmdline".

2) Please, give me also the kernel packages versions.
  $ dnf list installed | grep kernel
  Which kernel version do you run?

3) Is the isse reproducible, or it happened only single time?

4) Can you please install mariadb debuginfo packages on the affected system?

5) I assume no other suspicious lines were found in systemd journal or the mariadb logs.
   Where in the log can the line be found? (at which time, related to the startup that occured?)

6) The following shouldn't happen, but can you please check the library has satisfied all dependencies?
  $ ldd /usr/lib64/libmariadb.so
  You can also run in verbose mode with "-v" parameter and attach the output as a file to this bugzilla.

7) Can you give me please the configuration of mysqld?
  $ mysqld --print-defaults

8) After the segfault, I'd expect a coredump to emerge. Is there any related?
  $ coredumpctl

9) What were you trying to do? Just starting the service or running your application?
  Does that application utilize any server or client authentication plugin?

10) In case there are some plugins or storage engines configured by default, but you don't use them, can you please disable them in the configuration?

Comment 2 customercare 2019-04-07 16:26:46 UTC
Different Server:

Apr  7 04:02:40 xxx kernel: traps: auth[4456] general protection ip:7fa3e8f408a7 sp:7ffd2c72f310 error:0 in libmariadb.so.3[7fa3e8f1e000+46000]
Apr  7 04:03:40 xxx kernel: traps: auth[4829] general protection ip:7f962b72c8a7 sp:7ffc17f515a0 error:0 in libmariadb.so.3[7f962b70a000+46000]
Apr  7 04:04:40 xxx kernel: traps: auth[5154] general protection ip:7f01e91178a7 sp:7ffd1beaaf90 error:0 in libmariadb.so.3[7f01e90f5000+46000]
Apr  7 04:06:41 xxx kernel: traps: auth[6438] general protection ip:7ff5a44528a7 sp:7ffe2945a3b0 error:0 in libmariadb.so.3[7ff5a4430000+46000]
Apr  7 04:07:41 xxx kernel: traps: auth[6763] general protection ip:7ff7512548a7 sp:7ffd3ecbd5a0 error:0 in libmariadb.so.3[7ff751232000+46000]
Apr  7 04:08:41 xxx kernel: traps: auth[7103] general protection ip:7f37111208a7 sp:7ffe1951f540 error:0 in libmariadb.so.3[7f37110fe000+46000]
Apr  7 04:09:42 xxx kernel: traps: auth[7417] general protection ip:7f2e7606e8a7 sp:7ffed66ba290 error:0 in libmariadb.so.3[7f2e7604c000+46000]
Apr  7 04:10:42 xxx kernel: traps: auth[7756] general protection ip:7fab45a6e8a7 sp:7fff482e4ac0 error:0 in libmariadb.so.3[7fab45a4c000+46000]
Apr  7 04:11:42 xxx kernel: traps: auth[8605] general protection ip:7f415e9778a7 sp:7fff1f839470 error:0 in libmariadb.so.3[7f415e955000+46000]
Apr  7 04:13:43 xxx kernel: traps: auth[9270] general protection ip:7fd5a7f908a7 sp:7ffebbefc9c0 error:0 in libmariadb.so.3[7fd5a7f6e000+46000]
Apr  7 04:14:43 xxx kernel: traps: auth[9585] general protection ip:7ff6adc678a7 sp:7ffc41ddc200 error:0 in libmariadb.so.3[7ff6adc45000+46000]
Apr  7 04:16:44 xxx kernel: traps: auth[10663] general protection ip:7f4ec229a8a7 sp:7ffc41e62e90 error:0 in libmariadb.so.3[7f4ec2278000+46000]
Apr  7 04:17:44 xxx kernel: traps: auth[11147] general protection ip:7f5ab2ba28a7 sp:7fffd8fec4e0 error:0 in libmariadb.so.3[7f5ab2b80000+46000]
Apr  7 04:18:45 xxx kernel: traps: auth[11508] general protection ip:7ff565e238a7 sp:7fff2eabe2a0 error:0 in libmariadb.so.3[7ff565e01000+46000]
Apr  7 04:22:46 xxx kernel: traps: auth[13492] general protection ip:7f5c283e68a7 sp:7fff69f24600 error:0 in libmariadb.so.3[7f5c283c4000+46000]
Apr  7 04:26:47 xxx kernel: traps: auth[15323] general protection ip:7fee9c3ce8a7 sp:7fffbde612e0 error:0 in libmariadb.so.3[7fee9c3ac000+46000]
Apr  7 04:27:48 xxx kernel: traps: auth[15632] general protection ip:7fc8bcebd8a7 sp:7fffc2b7b9f0 error:0 in libmariadb.so.3[7fc8bce9b000+46000]
Apr  7 04:31:49 xxx kernel: traps: auth[17571] general protection ip:7fed8cffb8a7 sp:7ffc85f030b0 error:0 in libmariadb.so.3[7fed8cfd9000+46000]
Apr  7 04:32:49 xxx kernel: traps: auth[17888] general protection ip:7f42b72f98a7 sp:7ffe87648350 error:0 in libmariadb.so.3[7f42b72d7000+46000]
Apr  7 05:35:13 xxx kernel: traps: auth[12187] general protection ip:7f0c78c8b8a7 sp:7ffee69dd8e0 error:0 in libmariadb.so.3[7f0c78c69000+46000]
Apr  7 06:02:55 xxx kernel: auth[21413]: segfault at 209a ip 00007f285b0e889e sp 00007ffc31a37360 error 4 in libmariadb.so.3[7f285b0c6000+46000]
Apr  7 08:11:22 xxx kernel: traps: auth[31934] general protection ip:7f44442838a7 sp:7fff3e26e3c0 error:0 in libmariadb.so.3[7f4444261000+46000]
Apr  7 08:46:19 xxx kernel: traps: auth[9669] general protection ip:7f336670f8a7 sp:7ffd6ff1ca40 error:0 in libmariadb.so.3[7f33666ed000+46000]
Apr  7 09:16:30 xxx kernel: auth[22678]: segfault at 209a ip 00007f51ee39389e sp 00007fffb16965a0 error 4 in libmariadb.so.3[7f51ee371000+46000]
Apr  7 09:48:58 xxx kernel: traps: auth[29087] general protection ip:7f2b49c1f8a7 sp:7ffec1836860 error:0 in libmariadb.so.3[7f2b49bfd000+46000]
Apr  7 09:48:58 xxx kernel: traps: auth[29306] general protection ip:7fc0c369c8a7 sp:7ffd68d7bc70 error:0 in libmariadb.so.3[7fc0c367a000+46000]
Apr  7 09:57:41 xxx kernel: traps: auth[32018] general protection ip:7fa3aff2d8a7 sp:7ffd738a2510 error:0 in libmariadb.so.3[7fa3aff0b000+46000]
Apr  7 10:36:13 xxx kernel: traps: auth[12040] general protection ip:7fa2f39838a7 sp:7fff1f6b7e90 error:0 in libmariadb.so.3[7fa2f3961000+46000]
Apr  7 10:57:45 xxx kernel: traps: auth[19170] general protection ip:7f10990f78a7 sp:7ffeb51bb3e0 error:0 in libmariadb.so.3[7f10990d5000+46000]
Apr  7 10:57:45 xxx kernel: traps: auth[19165] general protection ip:7f87a0ad58a7 sp:7ffe8fd165c0 error:0 in libmariadb.so.3[7f87a0ab3000+46000]
Apr  7 11:35:05 xxx kernel: traps: auth[31629] general protection ip:7f38455108a7 sp:7ffd24595ea0 error:0 in libmariadb.so.3[7f38454ee000+46000]
Apr  7 11:49:07 xxx kernel: traps: auth[4773] general protection ip:7fc1b83768a7 sp:7ffd6a642290 error:0 in libmariadb.so.3[7fc1b8354000+46000]
Apr  7 11:55:17 xxx kernel: traps: auth[7302] general protection ip:7f4eac36a8a7 sp:7ffc828bb870 error:0 in libmariadb.so.3[7f4eac348000+46000]
Apr  7 12:21:43 xxx kernel: traps: auth[16949] general protection ip:7f259929f8a7 sp:7ffe21562290 error:0 in libmariadb.so.3[7f259927d000+46000]
Apr  7 13:40:48 xxx kernel: traps: auth[10163] general protection ip:7f57bb6288a7 sp:7ffd0e0d3cf0 error:0 in libmariadb.so.3[7f57bb606000+46000]
Apr  7 14:04:55 xxx kernel: traps: auth[18560] general protection ip:7fbb58e948a7 sp:7ffecb6b8fa0 error:0 in libmariadb.so.3[7fbb58e72000+46000]
Apr  7 14:19:21 xxx kernel: traps: auth[23961] general protection ip:7f499da7c8a7 sp:7fff40e08910 error:0 in libmariadb.so.3[7f499da5a000+46000]
Apr  7 14:31:54 xxx kernel: traps: auth[28915] general protection ip:7f5d53a188a7 sp:7ffc9fa88c40 error:0 in libmariadb.so.3[7f5d539f6000+46000]
Apr  7 14:42:24 xxx kernel: auth[4509]: segfault at 209a ip 00007fa28711a89e sp 00007ffe6cf6ca30 error 4 in libmariadb.so.3[7fa2870f8000+46000]
Apr  7 15:39:45 xxx kernel: traps: auth[19126] general protection ip:7f48e8d3e8a7 sp:7ffcfbdf9d30 error:0 in libmariadb.so.3[7f48e8d1c000+46000]
Apr  7 15:41:45 xxx kernel: traps: auth[20144] general protection ip:7f4c3fb488a7 sp:7fff1dff3e90 error:0 in libmariadb.so.3[7f4c3fb26000+46000]
Apr  7 15:42:45 xxx kernel: traps: auth[20473] general protection ip:7feb388e18a7 sp:7fffe02b2ab0 error:0 in libmariadb.so.3[7feb388bf000+46000]
Apr  7 15:44:46 xxx kernel: traps: auth[21006] general protection ip:7f121f5f28a7 sp:7fff7c388b50 error:0 in libmariadb.so.3[7f121f5d0000+46000]
Apr  7 15:57:50 xxx kernel: traps: auth[26689] general protection ip:7feb6a3c58a7 sp:7ffc8a767510 error:0 in libmariadb.so.3[7feb6a3a3000+46000]
Apr  7 16:18:30 xxx kernel: traps: auth[1562] general protection ip:7fc23dfc18a7 sp:7ffee67b9600 error:0 in libmariadb.so.3[7fc23df9f000+46000]
Apr  7 16:23:58 xxx kernel: traps: auth[3215] general protection ip:7f542336c8a7 sp:7ffd691b2240 error:0 in libmariadb.so.3[7f542334a000+46000]
Apr  7 16:37:03 xxx kernel: traps: auth[8615] general protection ip:7f4ee12ff8a7 sp:7ffeb9b67110 error:0 in libmariadb.so.3[7f4ee12dd000+46000]
Apr  7 16:38:04 xxx kernel: traps: auth[8833] general protection ip:7efc496fc8a7 sp:7ffe86dcfd00 error:0 in libmariadb.so.3[7efc496da000+46000]
Apr  7 16:39:04 xxx kernel: traps: auth[9072] general protection ip:7fe9754648a7 sp:7ffec8b53750 error:0 in libmariadb.so.3[7fe975442000+46000]
Apr  7 16:47:07 xxx kernel: traps: auth[11862] general protection ip:7fbc16b338a7 sp:7ffd4373b6e0 error:0 in libmariadb.so.3[7fbc16b11000+46000]
Apr  7 16:50:08 xxx kernel: traps: auth[12530] general protection ip:7efe778058a7 sp:7ffdda1b93c0 error:0 in libmariadb.so.3[7efe777e3000+46000]
Apr  7 16:51:08 xxx kernel: traps: auth[13041] general protection ip:7fed4279e8a7 sp:7fff82b811c0 error:0 in libmariadb.so.3[7fed4277c000+46000]
Apr  7 16:52:08 xxx kernel: traps: auth[13487] general protection ip:7f9daeddd8a7 sp:7ffeef9eac80 error:0 in libmariadb.so.3[7f9daedbb000+46000]
Apr  7 16:53:08 xxx kernel: traps: auth[13701] general protection ip:7fa515f308a7 sp:7fff1a07d040 error:0 in libmariadb.so.3[7fa515f0e000+46000]
Apr  7 16:55:09 xxx kernel: traps: auth[14189] general protection ip:7fe0023258a7 sp:7ffc98410e90 error:0 in libmariadb.so.3[7fe002303000+46000]
Apr  7 16:58:10 xxx kernel: traps: auth[15330] general protection ip:7efd500858a7 sp:7ffebb1a98d0 error:0 in libmariadb.so.3[7efd50063000+46000]
Apr  7 16:59:10 xxx kernel: traps: auth[15574] general protection ip:7f795e8108a7 sp:7fffd7ca4ed0 error:0 in libmariadb.so.3[7f795e7ee000+46000]
Apr  7 17:00:11 xxx kernel: traps: auth[15786] general protection ip:7f1c8499d8a7 sp:7ffcf2d306a0 error:0 in libmariadb.so.3[7f1c8497b000+46000]
Apr  7 17:07:13 xxx kernel: traps: auth[18535] general protection ip:7f5f3207f8a7 sp:7fff8e00c170 error:0 in libmariadb.so.3[7f5f3205d000+46000]
Apr  7 17:08:13 xxx kernel: traps: auth[18717] general protection ip:7f783bd238a7 sp:7ffe543fbc90 error:0 in libmariadb.so.3[7f783bd01000+46000]
Apr  7 17:23:22 xxx kernel: auth[32578]: segfault at 209a ip 00007f1eda67c89e sp 00007ffc4943c280 error 4 in libmariadb.so.3[7f1eda65a000+46000]
Apr  7 17:25:47 xxx kernel: traps: auth[24567] general protection ip:7f863a2778a7 sp:7ffcb92159c0 error:0 in libmariadb.so.3[7f863a255000+46000]
Apr  7 17:49:08 xxx kernel: traps: auth[1530] general protection ip:7f43ce3338a7 sp:7ffe1f712d70 error:0 in libmariadb.so.3[7f43ce311000+46000]


And we have to run an old kernel, because 4.16+ kernels do not work stable under xen anymore.
5.0.x kernels do not even boot, because xen bootloader are not able to load them anymore.

Comment 3 Michal Schorm 2019-04-07 18:07:52 UTC
> And we have to run an old kernel, because 4.16+ kernels do not work stable under xen anymore.
> 5.0.x kernels do not even boot, because xen bootloader are not able to load them anymore.

That sounds like bigger XEN & kernel issue to me.

Do you also have bug(s) filled against those two? Can you past the numbers here, please?
Do you watch fedora mailing lists or the upstream projects (XEN, kernel).

I'm rather uninformed on the field of XEN virtualization.
I'd prefer to discuss the issue with devs or maintainers of the respective packages.

It doesn't seem to me like a MariaDB upstream material too.
I'm not going to file an upstream bug yet, unless you disagree with a more depth explanation, so I can start on something.

Comment 4 Sylvain Réault 2019-04-16 11:47:26 UTC
I have an identical error on my physical server.

[209394.674864] traps: auth[4828] general protection fault ip:7f6e42f4c797 sp:7ffc494be070 error:0 in libmariadb.so.3[7f6e42f3f000+26000]
[209394.678352] traps: auth[4827] general protection fault ip:7f8dd0c8c797 sp:7ffd7785ef90 error:0 in libmariadb.so.3[7f8dd0c7f000+26000]
[209394.695495] traps: auth[4830] general protection fault ip:7f0c5f0cc797 sp:7ffc09d2e1b0 error:0 in libmariadb.so.3[7f0c5f0bf000+26000]
[209394.722513] traps: auth[4834] general protection fault ip:7f2d6a864797 sp:7ffec9f8b890 error:0 in libmariadb.so.3[7f2d6a857000+26000]
[209394.738472] traps: auth[4837] general protection fault ip:7f918a8dc797 sp:7ffdb1dfbbd0 error:0 in libmariadb.so.3[7f918a8cf000+26000]
[209394.755291] traps: auth[4840] general protection fault ip:7fa86be04797 sp:7fffd4a92d30 error:0 in libmariadb.so.3[7fa86bdf7000+26000]
[209394.768498] traps: auth[4843] general protection fault ip:7fd4f7854797 sp:7ffc00589d10 error:0 in libmariadb.so.3[7fd4f7847000+26000]

Comment 5 Ben Cotton 2019-05-02 19:40:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 23:54:50 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.